diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/js/tags.js /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/js/tags.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/js/tags.js	2012-08-22 19:04:18.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/js/tags.js	2013-02-16 11:46:12.000000000 -0600
***************
*** 1,6 ****
  jQuery(document).ready(function($) {
  
! 	$('.delete-tag').live('click', function(e){
  		var t = $(this), tr = t.parents('tr'), r = true, data;
  		if ( 'undefined' != showNotice )
  			r = showNotice.warn();
--- 1,6 ----
  jQuery(document).ready(function($) {
  
! 	$('#the-list').on('click', '.delete-tag', function(e){
  		var t = $(this), tr = t.parents('tr'), r = true, data;
  		if ( 'undefined' != showNotice )
  			r = showNotice.warn();
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/js/theme.js /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/js/theme.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/js/theme.js	2012-09-26 14:57:44.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/js/theme.js	2013-07-05 10:15:58.000000000 -0500
***************
*** 19,24 ****
--- 19,49 ----
  });
  
  /**
+  * Theme Browser Thickbox
+  *
+  * Aligns theme browser thickbox.
+  */
+ var tb_position;
+ jQuery(document).ready( function($) {
+ 	tb_position = function() {
+ 		var tbWindow = $('#TB_window'), width = $(window).width(), H = $(window).height(), W = ( 1040 < width ) ? 1040 : width, adminbar_height = 0;
+ 
+ 		if ( $('body.admin-bar').length )
+ 			adminbar_height = 28;
+ 
+ 		if ( tbWindow.size() ) {
+ 			tbWindow.width( W - 50 ).height( H - 45 - adminbar_height );
+ 			$('#TB_iframeContent').width( W - 50 ).height( H - 75 - adminbar_height );
+ 			tbWindow.css({'margin-left': '-' + parseInt( ( ( W - 50 ) / 2 ), 10 ) + 'px'});
+ 			if ( typeof document.body.style.maxWidth != 'undefined' )
+ 				tbWindow.css({'top': 20 + adminbar_height + 'px','margin-top':'0'});
+ 		};
+ 	};
+ 
+ 	$(window).resize(function(){ tb_position(); });
+ });
+ 
+ /**
   * Theme Install
   *
   * Displays theme previews on theme install pages.
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/link-add.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/link-add.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/link-add.php	2012-04-10 21:20:51.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/link-add.php	2013-02-16 12:28:41.000000000 -0600
***************
*** 15,24 ****
  $title = __('Add New Link');
  $parent_file = 'link-manager.php';
  
! wp_reset_vars(array('action', 'cat_id', 'linkurl', 'name', 'image',
! 	'description', 'visible', 'target', 'category', 'link_id',
! 	'submit', 'order_by', 'links_show_cat_id', 'rating', 'rel',
! 	'notes', 'linkcheck[]'));
  
  wp_enqueue_script('link');
  wp_enqueue_script('xfn');
--- 15,21 ----
  $title = __('Add New Link');
  $parent_file = 'link-manager.php';
  
! wp_reset_vars( array('action', 'cat_id', 'link_id' ) );
  
  wp_enqueue_script('link');
  wp_enqueue_script('xfn');
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/link-manager.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/link-manager.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/link-manager.php	2011-11-30 22:51:35.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/link-manager.php	2013-03-01 11:14:09.000000000 -0600
***************
*** 31,37 ****
  		exit;
  	}
  } elseif ( ! empty( $_GET['_wp_http_referer'] ) ) {
! 	 wp_redirect( remove_query_arg( array( '_wp_http_referer', '_wpnonce' ), stripslashes( $_SERVER['REQUEST_URI'] ) ) );
  	 exit;
  }
  
--- 31,37 ----
  		exit;
  	}
  } elseif ( ! empty( $_GET['_wp_http_referer'] ) ) {
! 	 wp_redirect( remove_query_arg( array( '_wp_http_referer', '_wpnonce' ), wp_unslash( $_SERVER['REQUEST_URI'] ) ) );
  	 exit;
  }
  
***************
*** 72,78 ****
  <?php screen_icon(); ?>
  <h2><?php echo esc_html( $title ); ?> <a href="link-add.php" class="add-new-h2"><?php echo esc_html_x('Add New', 'link'); ?></a> <?php
  if ( !empty($_REQUEST['s']) )
! 	printf( '<span class="subtitle">' . __('Search results for &#8220;%s&#8221;') . '</span>', esc_html( stripslashes($_REQUEST['s']) ) ); ?>
  </h2>
  
  <?php
--- 72,78 ----
  <?php screen_icon(); ?>
  <h2><?php echo esc_html( $title ); ?> <a href="link-add.php" class="add-new-h2"><?php echo esc_html_x('Add New', 'link'); ?></a> <?php
  if ( !empty($_REQUEST['s']) )
! 	printf( '<span class="subtitle">' . __('Search results for &#8220;%s&#8221;') . '</span>', esc_html( wp_unslash($_REQUEST['s']) ) ); ?>
  </h2>
  
  <?php
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/link.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/link.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/link.php	2012-11-26 18:20:27.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/link.php	2013-02-16 12:28:41.000000000 -0600
***************
*** 12,18 ****
  /** Load WordPress Administration Bootstrap */
  require_once ('admin.php');
  
! wp_reset_vars(array('action', 'cat_id', 'linkurl', 'name', 'image', 'description', 'visible', 'target', 'category', 'link_id', 'submit', 'order_by', 'links_show_cat_id', 'rating', 'rel', 'notes', 'linkcheck[]'));
  
  if ( ! current_user_can('manage_links') )
  	wp_link_manager_disabled_message();
--- 12,18 ----
  /** Load WordPress Administration Bootstrap */
  require_once ('admin.php');
  
! wp_reset_vars( array( 'action', 'cat_id', 'link_id' ) );
  
  if ( ! current_user_can('manage_links') )
  	wp_link_manager_disabled_message();
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/load-scripts.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/load-scripts.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/load-scripts.php	2012-12-05 12:57:56.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/load-scripts.php	2013-07-29 12:57:31.000000000 -0500
***************
*** 119,125 ****
  	$load = implode( '', $load );
  
  $load = preg_replace( '/[^a-z0-9,_-]+/i', '', $load );
! $load = explode(',', $load);
  
  if ( empty($load) )
  	exit;
--- 119,125 ----
  	$load = implode( '', $load );
  
  $load = preg_replace( '/[^a-z0-9,_-]+/i', '', $load );
! $load = array_unique( explode( ',', $load ) );
  
  if ( empty($load) )
  	exit;
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/load-styles.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/load-styles.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/load-styles.php	2012-11-16 16:18:33.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/load-styles.php	2013-07-29 12:57:31.000000000 -0500
***************
*** 96,102 ****
  require(ABSPATH . '/wp-includes/version.php');
  
  $load = preg_replace( '/[^a-z0-9,_-]+/i', '', $_GET['load'] );
! $load = explode(',', $load);
  
  if ( empty($load) )
  	exit;
--- 96,102 ----
  require(ABSPATH . '/wp-includes/version.php');
  
  $load = preg_replace( '/[^a-z0-9,_-]+/i', '', $_GET['load'] );
! $load = array_unique( explode( ',', $load ) );
  
  if ( empty($load) )
  	exit;
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/maint/repair.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/maint/repair.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/maint/repair.php	2012-11-30 07:40:59.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/maint/repair.php	2013-02-13 23:52:23.000000000 -0600
***************
*** 21,27 ****
  	?>
  </head>
  <body class="wp-core-ui">
! <h1 id="logo"><a href="<?php esc_attr_e( 'http://wordpress.org/' ); ?>"><?php _e( 'WordPress' ); ?></a></h1>
  
  <?php
  
--- 21,27 ----
  	?>
  </head>
  <body class="wp-core-ui">
! <h1 id="logo"><a href="<?php echo esc_url( __( 'http://wordpress.org/' ) ); ?>"><?php _e( 'WordPress' ); ?></a></h1>
  
  <?php
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/media-new.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/media-new.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/media-new.php	2012-11-27 16:41:15.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/media-new.php	2013-03-18 09:01:25.000000000 -0500
***************
*** 68,74 ****
  	<?php screen_icon(); ?>
  	<h2><?php echo esc_html( $title ); ?></h2>
  
! 	<form enctype="multipart/form-data" method="post" action="<?php echo admin_url('media-new.php'); ?>" class="<?php echo $form_class; ?>" id="file-form">
  
  	<?php media_upload_form(); ?>
  
--- 68,74 ----
  	<?php screen_icon(); ?>
  	<h2><?php echo esc_html( $title ); ?></h2>
  
! 	<form enctype="multipart/form-data" method="post" action="<?php echo admin_url('media-new.php'); ?>" class="<?php echo esc_attr( $form_class ); ?>" id="file-form">
  
  	<?php media_upload_form(); ?>
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/menu-header.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/menu-header.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/menu-header.php	2012-11-17 09:11:29.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/menu-header.php	2013-04-22 14:33:39.000000000 -0500
***************
*** 87,93 ****
  			$menu_file = $submenu_items[0][2];
  			if ( false !== ( $pos = strpos( $menu_file, '?' ) ) )
  				$menu_file = substr( $menu_file, 0, $pos );
! 			if ( ! empty( $menu_hook ) || ( ('index.php' != $submenu_items[0][2]) && file_exists( WP_PLUGIN_DIR . "/$menu_file" ) ) ) {
  				$admin_is_parent = true;
  				echo "<a href='admin.php?page={$submenu_items[0][2]}'$class $aria_attributes>$arrow<div class='wp-menu-image'>$img</div><div class='wp-menu-name'>$title</div></a>";
  			} else {
--- 87,93 ----
  			$menu_file = $submenu_items[0][2];
  			if ( false !== ( $pos = strpos( $menu_file, '?' ) ) )
  				$menu_file = substr( $menu_file, 0, $pos );
! 			if ( ! empty( $menu_hook ) || ( ( 'index.php' != $submenu_items[0][2] ) && file_exists( WP_PLUGIN_DIR . "/$menu_file" ) && ! file_exists( ABSPATH . "/wp-admin/$menu_file" ) ) ) {
  				$admin_is_parent = true;
  				echo "<a href='admin.php?page={$submenu_items[0][2]}'$class $aria_attributes>$arrow<div class='wp-menu-image'>$img</div><div class='wp-menu-name'>$title</div></a>";
  			} else {
***************
*** 98,104 ****
  			$menu_file = $item[2];
  			if ( false !== ( $pos = strpos( $menu_file, '?' ) ) )
  				$menu_file = substr( $menu_file, 0, $pos );
! 			if ( ! empty( $menu_hook ) || ( ('index.php' != $item[2]) && file_exists( WP_PLUGIN_DIR . "/$menu_file" ) ) ) {
  				$admin_is_parent = true;
  				echo "\n\t<a href='admin.php?page={$item[2]}'$class $aria_attributes>$arrow<div class='wp-menu-image'>$img</div><div class='wp-menu-name'>{$item[0]}</div></a>";
  			} else {
--- 98,104 ----
  			$menu_file = $item[2];
  			if ( false !== ( $pos = strpos( $menu_file, '?' ) ) )
  				$menu_file = substr( $menu_file, 0, $pos );
! 			if ( ! empty( $menu_hook ) || ( ( 'index.php' != $item[2] ) && file_exists( WP_PLUGIN_DIR . "/$menu_file" ) && ! file_exists( ABSPATH . "/wp-admin/$menu_file" ) ) ) {
  				$admin_is_parent = true;
  				echo "\n\t<a href='admin.php?page={$item[2]}'$class $aria_attributes>$arrow<div class='wp-menu-image'>$img</div><div class='wp-menu-name'>{$item[0]}</div></a>";
  			} else {
***************
*** 150,161 ****
  
  				$title = wptexturize($sub_item[0]);
  
! 				if ( ! empty( $menu_hook ) || ( ('index.php' != $sub_item[2]) && file_exists( WP_PLUGIN_DIR . "/$sub_file" ) ) ) {
  					// If admin.php is the current page or if the parent exists as a file in the plugins or admin dir
! 					if ( (!$admin_is_parent && file_exists(WP_PLUGIN_DIR . "/$menu_file") && !is_dir(WP_PLUGIN_DIR . "/{$item[2]}")) || file_exists($menu_file) )
! 						$sub_item_url = add_query_arg( array('page' => $sub_item[2]), $item[2] );
  					else
! 						$sub_item_url = add_query_arg( array('page' => $sub_item[2]), 'admin.php' );
  
  					$sub_item_url = esc_url( $sub_item_url );
  					echo "<li$class><a href='$sub_item_url'$class>$title</a></li>";
--- 150,161 ----
  
  				$title = wptexturize($sub_item[0]);
  
! 				if ( ! empty( $menu_hook ) || ( ( 'index.php' != $sub_item[2] ) && file_exists( WP_PLUGIN_DIR . "/$sub_file" ) && ! file_exists( ABSPATH . "/wp-admin/$sub_file" ) ) ) {
  					// If admin.php is the current page or if the parent exists as a file in the plugins or admin dir
! 					if ( ( ! $admin_is_parent && file_exists( WP_PLUGIN_DIR . "/$menu_file" ) && ! is_dir( WP_PLUGIN_DIR . "/{$item[2]}" ) ) || file_exists( $menu_file ) )
! 						$sub_item_url = add_query_arg( array( 'page' => $sub_item[2] ), $item[2] );
  					else
! 						$sub_item_url = add_query_arg( array( 'page' => $sub_item[2] ), 'admin.php' );
  
  					$sub_item_url = esc_url( $sub_item_url );
  					echo "<li$class><a href='$sub_item_url'$class>$title</a></li>";
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/menu.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/menu.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/menu.php	2012-11-28 16:28:20.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/menu.php	2013-04-22 14:37:26.000000000 -0500
***************
*** 136,152 ****
  
  $menu[59] = array( '', 'read', 'separator2', '', 'wp-menu-separator' );
  
! if ( current_user_can( 'switch_themes') ) {
! 	$menu[60] = array( __('Appearance'), 'switch_themes', 'themes.php', '', 'menu-top menu-icon-appearance', 'menu-appearance', 'none' );
! 		$submenu['themes.php'][5]  = array(__('Themes'), 'switch_themes', 'themes.php');
! 		if ( current_theme_supports( 'menus' ) || current_theme_supports( 'widgets' ) )
! 			$submenu['themes.php'][10] = array(__('Menus'), 'edit_theme_options', 'nav-menus.php');
! } else {
! 	$menu[60] = array( __('Appearance'), 'edit_theme_options', 'themes.php', '', 'menu-top menu-icon-appearance', 'menu-appearance', 'none' );
! 		$submenu['themes.php'][5]  = array(__('Themes'), 'edit_theme_options', 'themes.php');
! 		if ( current_theme_supports( 'menus' ) || current_theme_supports( 'widgets' ) )
! 			$submenu['themes.php'][10] = array(__('Menus'), 'edit_theme_options', 'nav-menus.php' );
! }
  
  // Add 'Editor' to the bottom of the Appearance menu.
  if ( ! is_multisite() )
--- 136,150 ----
  
  $menu[59] = array( '', 'read', 'separator2', '', 'wp-menu-separator' );
  
! $appearance_cap = current_user_can( 'switch_themes') ? 'switch_themes' : 'edit_theme_options';
! 
! $menu[60] = array( __('Appearance'), $appearance_cap, 'themes.php', '', 'menu-top menu-icon-appearance', 'menu-appearance', 'div' );
! 	$submenu['themes.php'][5] = array( __( 'Themes' ), $appearance_cap, 'themes.php' );
! 	$submenu['themes.php'][6] = array( __( 'Customize' ), 'edit_theme_options', 'customize.php', 'hide-if-no-customize' );
! 	if ( current_theme_supports( 'menus' ) || current_theme_supports( 'widgets' ) )
! 		$submenu['themes.php'][10] = array(__( 'Menus' ), 'edit_theme_options', 'nav-menus.php');
! 
! unset( $appearance_cap );
  
  // Add 'Editor' to the bottom of the Appearance menu.
  if ( ! is_multisite() )
